package com.union.ai.api.client.start;

import com.union.ai.api.client.consumer.LogConsumer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.support.ClassPathXmlApplicationContext;

@Slf4j
public class Start {
	
	public static void main(String[] args) throws InterruptedException {
		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
				new String[] { "classpath:spring-config.xml" });
		context.start();
		LogConsumer logConsumer = context.getBean(LogConsumer.class);
		//启动mq
//		logConsumer.init();
		log.info("服务启动成功!");
		while (true) {
			Thread.sleep(100);
		}
	}
	
}